Index: platform_tools/android/bin/android_setup.sh |
diff --git a/platform_tools/android/bin/android_setup.sh b/platform_tools/android/bin/android_setup.sh |
index 503ee023e724651857aac811c9dfc1d933d0bc2b..f242bfa51bd8be50639013a256df010f504ce191 100755 |
--- a/platform_tools/android/bin/android_setup.sh |
+++ b/platform_tools/android/bin/android_setup.sh |
@@ -52,10 +52,6 @@ if [ "$USE_CLANG" == "true" ]; then |
export GYP_DEFINES="skia_clang_build=1 $GYP_DEFINES" |
fi |
-if [ "$SKIA_VULKAN" == "true" ]; then |
- export GYP_DEFINES="skia_vulkan=1 $GYP_DEFINES" |
-fi |
- |
function verbose { |
if [[ -n $VERBOSE ]]; then |
echo $@ |
@@ -89,6 +85,17 @@ if [ -z "$ANDROID_HOME" ]; then |
exportVar ANDROID_HOME $ANDROID_SDK_ROOT |
fi |
+if [ "$SKIA_VULKAN" == "true" ]; then |
+ export GYP_DEFINES="skia_vulkan=1 $GYP_DEFINES" |
+ # add cmake from the SDK to your path if it doesn't exist |
+ if [ ! -d "${ANDROID_SDK_ROOT}/cmake" ]; then |
+ echo "The Android SDK Tools version of CMake is required to build Vulkan. ${ANDROID_SDK_ROOT}/cmake" |
+ exit 1 |
+ else |
+ export PATH=${ANDROID_SDK_ROOT}/cmake/bin:$PATH |
+ fi |
+fi |
+ |
# Helper function to configure the GYP defines to the appropriate values |
# based on the target device. |
setup_device() { |